######################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../scr.4gs/l_chkkey.4gl  1.1  Delta: 11/23/90
######################################################################

globals "globals.4gl"

######################################################################
function lib_chkkey()
######################################################################
# This function is called to check if an update to the attached 
# documents are necessary upon [ESC] from input.
#
    define
        chk_tab char(18),
        chk_key char(30)

    # Trap fatal errors
    whenever error call error_handler

    let chk_tab = get_scrlib("scr_tab")
    let chk_key = get_scrlib("scr_key")

    # default auto_udf = "Y"
    if get_scrlib("auto_udf") = "Y"
      then call udf_check(chk_tab, chk_key)
    end if

    # default auto_note = "N"
    if get_scrlib("auto_note") = "Y"
      then call note_check(chk_tab, chk_key)
    end if

end function
# lib_chkkey()
