######################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../scr.4gs/l_delkey.4gl  1.1  Delta: 11/23/90
######################################################################

globals "globals.4gl"

######################################################################
function lib_delkey()
######################################################################
# This function is called to delete any items that are tied to the
# document key.
#
    define
        del_tab char(18),
        del_key char(30)

    # Trap fatal errors
    whenever error call error_handler

    let del_tab = get_scrlib("scr_tab")
    let del_key = get_scrlib("scr_key")
    call udf_delete(del_tab, del_key)
    call note_delete(del_tab, del_key)

end function
# lib_delkey()
