######################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../scr.4gs/l_screen.4gl  1.1  Delta: 11/23/90
######################################################################

globals "globals.4gl"

######################################################################
function lib_screen()
######################################################################
# This function is the hardcoded switchbox for the default
# header/detail screen.
#
    # Trap fatal errors
    whenever error call error_handler

    case
      when scr_funct = "set this_data"
        if input_num = 2
          then call lld_setdata()
          else call llh_setdata()
        end if
      when scr_funct = "highlight"
        if input_num = 2
          then call lld_high()
          else call llh_high()
        end if
      when scr_funct = "showdata"
        if input_num = 2
          then call lld_showline()
          else call llh_display()
        end if
      when scr_funct = "build key"
        call mlh_key()
      when scr_funct = "construct"
        call mlh_construct() returning scratch
    end case

end function
# lib_screen()
