######################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../scr.4gs/r_options.4gl  1.2  Delta: 1/3/91
######################################################################

globals "globals.4gl"

######################################################################
function ring_options(ring_rowid, ring_cursor, ring_total)
# returning ring_rowid, ring_cursor, ring_total
######################################################################
#  this is the function that is called when "Options" is selected
#  from the menu.  it is where custom menu items are inserted.
#
    define
        ring_rowid  integer,    # the rowid of the current document
                                # (or -1 if no document is displayed)
        ring_cursor integer,    # the absolute address of the cursor
                                # (0 if document isn't part of the
                                # current cursor group)
        ring_total  integer     # total number of elements in the cursor

    # check to see if ok to run options
    if ok_options() = false
    then
        return ring_rowid, ring_cursor, ring_total
    end if

# the following is the language independant menu routine in menuoptn.4gl
# which is set up to allow different language menus to be utilized

    call optn_menu(ring_rowid,ring_cursor,ring_total)
              returning ring_rowid, ring_cursor, ring_total

    let scr_funct = ""
    return ring_rowid, ring_cursor, ring_total
end function
# ring_options()

