######################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../scr.4gs/set_data.4gl  1.1  Delta: 11/23/90
######################################################################

globals "globals.4gl"

######################################################################
function set_data(fld_data)
######################################################################
# This function is called to set the 'this_data' variable.  It is
# implimented as a function because on some versions of 4GL, setting
# a char variable with a numeric causes a core dump.  It does not
# cause a core dump if the datatype conversion is done via passing
# the numeric argument to a function that accepts a char type.
#
    define
        fld_data char(80)

    # Trap fatal errors
    whenever error call error_handler

    # Set this_data to null if fld_data is empty
    if length(fld_data) = 0
      then let this_data = null
      else let this_data = fld_data
    end if
end function
# set_data()
