######################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../scr.4gs/g_events.4gl  1.1  Delta: 11/23/90
######################################################################

globals "globals.4gl"

######################################################################
function global_events(act_key, p_funct)
# returning true if it runs the event, otherwise false
######################################################################
# This function's job is to run all events that need to be run
# on a global (program wide) basis.  If you have defined an event
# that needs to be run at the menu level in addition to the local
# input level, the event must be listed here.
# If you wish to know the function name that called hot_key, it
# is passed as p_funct.
#
    define
        act_key char(15),       # Action to process
        p_funct char(15)        # Current function name

    # Trap fatal errors
    whenever error call error_handler

    # Process the events based on act_key
    case
      # There must be at least 1 statement listed.
      when act_key = "info" call fg_info()
      otherwise return false
    end case

    return true

end function
# global_events()
