########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../scr.4gs/r_bang.4gl  1.4  Delta: 3/23/91
########################################################################

globals "globals.4gl"

define
    arr_mesgs array[1] of record    # Message text
        mssg_text char(132)
    end record,
    mssg_prep char(1)                  # Y/null Message cursor prepared?

######################################################################
function ring_bang()
######################################################################
# This function provides a shell escape
#
    define
        x   char(1)

    # Trap fatal errors
    whenever error call error_handler

    if mssg_prep is null then
 #1: "System:  Enter command or [DEL] to quit"
       call fg_getmsg("lib_scr","rbang",1)
       let arr_mesgs[1].mssg_text = scratch 
       let mssg_prep = "Y"
    end if

    # intelligent bang routine
    if ok_bang() = false then return end if

    # Open the window (because we don't want to trash the heading)
    whenever error continue
    let status = 0
    open window bangwin at 2,3 with 2 rows, 76 columns
      attribute (border, white)
    whenever error call error_handler
    if status = -1143
    then
        call scr_error("recursive","hot_win")
        return
    end if

    if fg_prompt(arr_mesgs[1].mssg_text clipped, "")
      then call fg_os_exit(scratch, true)
    end if

    close window bangwin
    let int_flag = 0
end function
# ring_bang()
