######################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../scr.4gs/r_sort.4gl  1.1  Delta: 11/23/90
######################################################################

globals "globals.4gl"

######################################################################
function ring_sort(ring_rowid)
# returning ring_rowid, ring_cursor, ring_total
######################################################################
# This function asks the user to enter the sort criteria, then it
# rebuilds the current group with the new sort order.
#
	define
        ring_rowid integer,
        ring_cursor integer,
        ring_total integer

    # Trap fatal errors
    whenever error call error_handler

    let int_flag = 0
    clear form
    call lib_message("sort")
    let scratch = mlh_construct()
    let sql_order = lib_order()

    # define a new cursor
    if int_flag != 0
    then
        # decided against "sort" command
        clear form
        let int_flag = 0
        call ring_view(ring_cursor)
            returning ring_rowid, ring_cursor
    else
        # define the cursor/present the first record
        call ring_define(sql_filter)
          returning ring_rowid, ring_cursor, ring_total
    end if

    return ring_rowid, ring_cursor, ring_total
end function
# ring_sort()
