######################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../scr.4gs/swbox.4gl  1.1  Delta: 11/23/90
######################################################################

globals "globals.4gl"

#######################################################################
function switchbox(funct)
#######################################################################
# This is the switchbox function for screens prior to version 3.0.
# If there is no local switchbox() generated, this one is used.
#
    define
        funct char(20)   # Function to pass on to the screen

    # Trap fatal errors
    whenever error call error_handler

    # Post the current function
    let scr_funct = funct

    # Pass flow control to the appropriate screen
    case
      when scr_id = "default" call lib_screen()
      otherwise let scratch = "no screen"
    end case

end function
# switchbox()
